Subject: Re: [PATCH] Add symlink in /sys/class/net for interface altnames

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Mar 2023 14:39:17 -0700

On Mon, 13 Mar 2023 13:49:03 -0300 Jorge Merlino wrote:
> Currently interface altnames behave almost the same as the interface
> principal name. One difference is that the not have a symlink in
> /sys/class/net as the principal has.
> This was mentioned as a TODO item in the original commit:
> https://lore.kernel.org/netdev/[email-masked]
> This patch adds that symlink when an altname is created and removes it
> when the altname is deleted.

I think this is risky. Altnames are added by systemd on unsuspecting
systems, and I've seen configurations systems which assume that all
/sys/class/net entries are separate devices (basically counting how 
many NICs machine has).

I'm afraid it's too late.